pfe-memory-ext
Prev? | pfe Forth Wordset List | ?Next

## Name

pfe-memory-ext ? Memory-Alloc extension

## Synopsis

`ALLOCATE ( size# -- alloc*! 0 | 0 errno#! ) ?=>? (` | `)`; | ?

`"[ANS] FORTH"`;
?

`FREE ( alloc* -- errno# ) ?=>? (` | `)`; | ?

`"[ANS] FORTH"`;
?

`RESIZE ( alloc* newsize# -- alloc*' errno# ) ?=>? (` | `)`; | ?

`"[ANS] FORTH"`;
?

## Description

ALLOCATE ( size# -- alloc*! 0 | 0 errno#! ) [ANS] => "[ANS] FORTH"

Allocate a chunk of memory from the system heap. use `FREE` to release the memory area back to the system. A code of zero means success.

FREE ( alloc* -- errno# ) [ANS] => "[ANS] FORTH"

Free the memory from `ALLOCATE` A code of zero means success.

RESIZE ( alloc* newsize# -- alloc*' errno# ) [ANS] => "[ANS] FORTH"

Resize the system memory chunk. A code of zero means success. Our implementation returns the old pointer on failure.

Prev? | Up | ?Next
pfe-locals-ext? | Home | ?pfe-misc-ext